<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">GLES2FrameBufferObject</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::GLES2FrameBufferObject Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">Ogre::GLES2FrameBufferObject</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#ac40034fee0085196dc3ef104c03afe59">attachDepthBuffer</a>(DepthBuffer *depthBuffer)</td><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">Ogre::GLES2FrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a7259d5d40ff795de1ea170dad28101ff">bind</a>()</td><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">Ogre::GLES2FrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a3733c1949d85020de2dcbc12451a3dfd">bindSurface</a>(size_t attachment, const GLES2SurfaceDesc &amp;target)</td><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">Ogre::GLES2FrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#ae7329a856ba02b5b6189dc8d48839adb">detachDepthBuffer</a>()</td><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">Ogre::GLES2FrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#afa6f0b3e2ffa14ffe85bcfc8f798961c">getFormat</a>()</td><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">Ogre::GLES2FrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a7d7bbcfedf0d0219517649da6bc564b4">getFSAA</a>()</td><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">Ogre::GLES2FrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a173237ed0a265af70dfd95d67142aabf">getHeight</a>()</td><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">Ogre::GLES2FrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a56462a1f99de6bb087688bff3f848170">getManager</a>()</td><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">Ogre::GLES2FrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a4b05dd41047ea1a2026642e2024d3a42">getSurface</a>(size_t attachment)</td><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">Ogre::GLES2FrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#afb6f1b7b7a6ebba4c7251e98364d94ef">getWidth</a>()</td><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">Ogre::GLES2FrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a235643900b58d3550052d3ac8e454579">GLES2FrameBufferObject</a>(GLES2FBOManager *manager, uint fsaa)</td><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">Ogre::GLES2FrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a1eae30a74ed0cc17d2fde0299f19c20e">initialise</a>()</td><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">Ogre::GLES2FrameBufferObject</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a81a808134efbf8f3c254247a3f8790d6">mColour</a></td><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">Ogre::GLES2FrameBufferObject</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#ac0313b760b095e807b3aba9eb4dd7f96">mDepth</a></td><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">Ogre::GLES2FrameBufferObject</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a9af67dd8003f8ee805cb85007b8f1568">mFB</a></td><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">Ogre::GLES2FrameBufferObject</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a9e4afd58c7bfe39055e1914ed28eb207">mManager</a></td><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">Ogre::GLES2FrameBufferObject</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#aa1a24d5873492576b1d4155c67f0c5fc">mMultisampleColourBuffer</a></td><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">Ogre::GLES2FrameBufferObject</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a15a62cd652e720a80e0f9c1285b76f7b">mMultisampleFB</a></td><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">Ogre::GLES2FrameBufferObject</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a79525344a0b976a59b7216f54d0ace1b">mNumSamples</a></td><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">Ogre::GLES2FrameBufferObject</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#acf0e5622a17aa755339223688af914e1">mStencil</a></td><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">Ogre::GLES2FrameBufferObject</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a9d0ac4727220d06674740d74e0d45898">swapBuffers</a>()</td><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">Ogre::GLES2FrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a772df0e571e0b4e4e8d066f268483517">unbindSurface</a>(size_t attachment)</td><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">Ogre::GLES2FrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a437bdb2f9d24d1c2dd111bd459fdf1ad">~GLES2FrameBufferObject</a>()</td><td><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">Ogre::GLES2FrameBufferObject</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:28
</p>
</body>
</html>
